eCos Reference Manual
Prev |  | Next

# cyg_ppp_down()

## Name

cyg_ppp_down -- Bring PPP connection down

## Synopsis

    #include <cyg/ppp/ppp.h>

``cyg_int32 cyg_ppp_down`(cyg_ppp_handle_t handle);`

## Description

This function brings the PPP connection down. The `handle` argument is the result of a successful call to `cyg_ppp_up()`. This function only signals to the PPP subsystem that the link should be brought down. The link will be terminated asynchronously. If the application needs to wait for the link to terminate, then it should call `cyg_ppp_wait_down()` after calling `cyg_ppp_down()`.

The function returns zero if it was able to start the termination of the PPP connection successfully. It will return -1 if the connection is not running, or if it could not otherwise start the termination.

Prev | Home | Next
cyg_ppp_up() | Up | cyg_ppp_wait_up()